package api

import model.BoredTask
import model.Translate
import okhttp3.ResponseBody
import retrofit2.Call
import retrofit2.Response
import retrofit2.http.Field
import retrofit2.http.GET
import retrofit2.http.Query

interface APIService {

    //http://www.boredapi.com/
    @GET("api/activity/")
    fun GetTask(): Call<BoredTask>

    //https://ftapi.pythonanywhere.com/
    @GET("translate")
    fun GetTranslate(@Query("dl") name:String, @Query("text") text:String): Call<Translate>

}