package model

import com.google.gson.annotations.SerializedName

data class Translate(
    @SerializedName("source-language")
    val source_language: String,
    @SerializedName("source-text")
    val source_text: String,
    @SerializedName("destination-language")
    val destination_language: String,
    @SerializedName("destination-text")
    val destination_text: String,
    val pronunciation: Pronunciation?,
    val translations: Translations?,
    val definitions: String?,
    val see_also: String?
)